Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> KISSQ General Support
Author Message
spadata
New Member
New Member



Joined: Oct 01, 2002
Posts: 4

PostPosted: Sun Jul 27, 2003 11:11 pm Reply with quote

This error does not appear when you first access KISSQ, but when you look up a stock (or anything else) it appears in between "Your portfolio settings ..." and the table area

Fatal error: Call to undefined function: file_get_contents() in /home/gohot/public_html/main/modules/Stock_Quote/index.php on line 661

KISSQ v3.1 PostNuke 726RC3

NEWS does not show up either on mine.

I noticed your site also when you click the stock name at top, goes to generic yahoo finance page - not to the stock's page on yahoo. Can this be fixed somehow?
 
View user's profile Send private message Visit poster's website
Raven
Site Admin/Owner



Joined: Aug 27, 2002
Posts: 17087

PostPosted: Mon Jul 28, 2003 4:42 am Reply with quote

Due to changes that came in PHP4.3.2, it required me to HAVE to rework some logic. In order to use KISSQ and file_get_contents(), you must now be using PHP4.3.0 or greater. That is also why News does not show up.
 
View user's profile Send private message
spadata







PostPosted: Mon Jul 28, 2003 10:34 pm Reply with quote

Cpanel Version/Build 7.2.1-STABLE Build 85
Operating System Linux
Apache Version 1.3.28 (Unix)
Perl Version 5.006001
PHP Version 4.2.3
Mysql Version 4.0.13

Is what's on the server now. They did have the latest PHP on the server but it caused so much outage, they took it back off. A lot of the PN modules ceased working with the newest PHP version also.
 
Raven







PostPosted: Tue Jul 29, 2003 5:51 am Reply with quote

If they were having problems it's because they have it misconfigured. In any event, KISSQ will not work unless you have 4.3.x. There are work-arounds, but it will involve recoding. Your host needs to at least install 4.3.1. They need to get some people working there that understand how to configure PHP. There are thousands upon tens of thousands of hosts/sites using 4.3.2, including PN sites, that have no issues at all. Otherwise you would be hearing a cry around the world and PHP would pull their release or fix it. Changing hosts would be my suggestion, not for my application, but for a host that can support you technically. Just my opinion Wink
 
spadata







PostPosted: Tue Jul 29, 2003 12:48 pm Reply with quote

Well - for fun (I'm still learning php)
I rem'd line 661 in kissq-3.1\modules\Stock_Quote\index.php
and then removed the rem's ( / / ) in lines 558, 559, 560

It all works perfectly now - including the news feed.
 
Raven







PostPosted: Tue Jul 29, 2003 12:54 pm Reply with quote

That would be true as it worked with the prior versions. Thanks for pointing that out and I'm glad I left that code in there! What I will do now is to put logic in that checks the version and applies the appropriate code. Thanks again.
 
spadata







PostPosted: Wed Jul 30, 2003 3:54 pm Reply with quote

It's still the only stock [program worth having on PostNuke! Wink
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> KISSQ General Support

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©